%flex-column {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  width: 100%;
}

.flex-list-lines {
  width: 100%;
}

.time {
  padding-left: 0.5rem;
}

.regular-opening-times {
  @extend %flex-column;
  gap: var(--spacing-small, 0.3125rem);
  align-self: stretch;
}

.special-opening-times {
  @extend %flex-column;
  gap: var(--spacing-minor-min, 0.625rem);
}

.highlighted-opening-times {
  @extend %flex-column;
  color: var(--Main-Foreground);
  font-size: 1rem;
  font-weight: 700;
  align-items: center;
  align-self: stretch;
}

.opening-times-col {
  @extend %flex-column;
  align-self: stretch;
}

.opening-times-day {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
}

.special-opening-times-row {
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
  width: 100%;

  .description {
    flex: 1;
    margin-right: 0.5rem;
    word-break: break-word;
    white-space: normal;
  }

  .time {
    white-space: nowrap;
    flex-shrink: 0;
  }

  .date {
    flex: 1;
    margin-right: 0.5rem;
    white-space: nowrap;
  }
}

.opening-times {
  display: flex;
  flex-direction: column;
  width: 100%;
  gap: var(--spacing-minor, 0.9375rem);
}

.special-opening-button-wrapper {
  display: flex;
  justify-content: center;
  width: 100%;
}

.date,
.time,
.description,
.header {
  color: var(--Secondary-Foreground, rgba(0, 0, 0, 0.6));
  font-size: 0.9375rem;
  font-style: normal;
  font-weight: 400;
  line-height: normal;
}

.secondary-foreground-text {
  color: var(--Secondary-Foreground, rgba(0, 0, 0, 0.6));
  font-size: 1rem;
  font-style: normal;
  font-weight: 600;
  line-height: normal;
}

.main-foreground-text {
  color: var(--Main-Foreground, #000);
  text-align: right;
  font-size: 1rem;
  font-style: normal;
  font-weight: 600;
  line-height: normal;
}

.highlighted-forground-text {
  @extend .main-foreground-text;
  font-weight: 700;
}

.changed-regular-opening-time-highlighted {
  color: var(--Hint-Background-2);
  font-size: 1rem;
  font-style: normal;
  font-weight: 700;
  line-height: normal;
}

.changed-regular-opening-time-non-highlighted {
  color: var(--Hint-Background-2);
}

.day-regular {
  font-size: 1rem;
  font-weight: 600;
}

.day-description {
  font-size: 0.9375rem;
  font-weight: 400;
}

.opening-times-col-special {
  padding: var(--spacing-small, 0.3125rem) 0;
}

.text {
  color: var(--Main-Foreground);
  font-size: 1rem;
  font-weight: 600;
  white-space: pre-line;
}
